Bug 198383 - Package libmusicbrainz lacks IPv6 support
Package libmusicbrainz lacks IPv6 support
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: libmusicbrainz (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
:
Depends On:
Blocks: IPv6Blocker
  Show dependency treegraph
 
Reported: 2006-07-11 06:21 EDT by Peter Vrabec
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-05 10:08:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Vrabec 2006-07-11 06:21:51 EDT
This bug was reported automaticaly in connection with IPv6 project.
Our aim is to support IPv6 in all Fedora Core packages so FC6 and RHEL5 will be ready for IPv6.
			
This package seems to lack IPv6 support as is illustrated in attached log.
	
Here follows part of scanning log (grep -r F_INET *)/up to 30 lines: 

/libmusicbrainz-2.1.1/lib/comsocket.cpp:149:	m_nSocket = socket(AF_INET, nType, 0);
/libmusicbrainz-2.1.1/lib/comsocket.cpp:160:	addr.sin_family = AF_INET;
/libmusicbrainz-2.1.1/lib/comsocket.cpp:301:	m_nSocket = socket(AF_INET, nType, 0);
/libmusicbrainz-2.1.1/lib/comsocket.cpp:312:	addr.sin_family = AF_INET;
/libmusicbrainz-2.1.1/lib/http.cpp:292:                hostByIP.h_addrtype = AF_INET;
/libmusicbrainz-2.1.1/lib/wincomsocket.cpp:55:    m_nSocket = socket(AF_INET, nType, 0);
/libmusicbrainz-2.1.1/lib/wincomsocket.cpp:72:    addr.sin_family = AF_INET;
Comment 1 Bastien Nocera 2007-04-05 10:08:16 EDT
Filed upstream at:
http://bugs.musicbrainz.org/ticket/2678

Note You need to log in before you can comment on or make changes to this bug.